Bug 429994 - licensing
Summary: licensing
Status: CLOSED ERRATA
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-server
Version: 1.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: freeipa10 429034
TreeView+ depends on / blocked
 
Reported: 2008-01-24 06:20 UTC by Chandrasekar Kannan
Modified: 2012-03-27 07:18 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)
set license at gplv2 only (181.16 KB, patch)
2008-02-04 16:26 UTC, Rob Crittenden
no flags Details | Diff

Description Chandrasekar Kannan 2008-01-24 06:20:27 UTC
Ticket #29 (new defect)

Opened 3 months ago

Last modified 3 months ago
licensing
Reported by: 	kmacmill 	Assigned to: 	kmacmill
Priority: 	major 	Milestone: 	release-1
Component: 	ipa-server 	Version: 	
Keywords: 		Cc: 	
Description ¶

- The license in the rpms needs to be clarified - The python files need to be change to GPL v2 or later or LGPL

On Thu, 2007-10-11 at 10:47 -0400, Rob Crittenden wrote: In the RPM spec files we currently have the license as "GPL".

    Fedora is tightening up its description of licenses so GPL is sort of meaningless. We have a mix of license headers: GPL v2 + exceptions (extop plugin, memberof plugin, dna plugin) The python files have a mix of v2 only, v2, v2.1 and v2 or later.

Change History
2007-10-31 11:02:23 changed by kmacmill ¶

    * milestone changed from milestone-5 to release-1.

Comment 3 Rob Crittenden 2008-02-04 16:26:30 UTC
Created attachment 293904 [details]
set license at gplv2 only

Comment 4 Rob Crittenden 2008-02-06 20:58:46 UTC
Committed in changeset 627

Comment 5 Yi Zhang 2008-04-07 22:03:20 UTC
the unauthenticate file stored under /etc/ipa/html

qa verified, bug closed
build used: 4-7-2008 daily build



Note You need to log in before you can comment on or make changes to this bug.